<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Add-User-Groups-to-a-Blueprint",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:post:v1-blueprints-{}-relationships-userGroups"
  },
  "title" : "Add User Groups to a Blueprint"
}
-->

# Add User Groups to a Blueprint

Add user groups to a Blueprint.

## Overview

### Example

**Request:**

```
curl -X POST "https://api-business.apple.com/v1/blueprints/{id}/relationships/userGroups" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}" \
    -H "Content-Type: application/json" \
    -d '{
      "data": [
        {"type": "userGroups", "id": "e0484524-fff2-4132-ad29-fe7c6258ce53"}
      ]
    }'
```

**Response:**

```
HTTP/1.1 204 No Content
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)